cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Client.Sandbox

Description

UI for the sandboxing functionality.

Synopsis

- loadConfigOrSandboxConfig :: Verbosity -> GlobalFlags -> IO SavedConfig
- findSavedDistPref :: SavedConfig -> Flag FilePath -> IO FilePath
- updateInstallDirs :: Flag Bool -> SavedConfig -> SavedConfig
- getPersistOrConfigCompiler :: ConfigFlags -> IO (Compiler, Platform, ProgramDb)

# Documentation

loadConfigOrSandboxConfig #

Arguments

:: Verbosity |
-> GlobalFlags | For `--config-file` and `--sandbox-config-file`.
-> IO SavedConfig |

Check which type of package environment we're in and return a correctly-initialised `SavedConfig` and a `UseSandbox` value that indicates whether we're working in a sandbox.

findSavedDistPref :: SavedConfig -> Flag FilePath -> IO FilePath #

Return the saved "dist/" prefix, or the default prefix.

updateInstallDirs :: Flag Bool -> SavedConfig -> SavedConfig #

getPersistOrConfigCompiler :: ConfigFlags -> IO (Compiler, Platform, ProgramDb) #

Try to read the most recently configured compiler from the `localBuildInfoFile`, falling back on `configCompilerAuxEx` if it cannot be read.